import { AuthBaseService } from 'totvs-log-base-foundation';
import { CanActivate } from '@angular/router';
/**
 * Implementação de guard com uso do serviço de autenticação padrão
 */
export declare class AuthGuard implements CanActivate {
    private authService;
    /**
     * Creates an instance of AuthGuard.
     */
    constructor(authService: AuthBaseService);
    /**
     * Implementação do serviço angular que previne o carregamento de componentes, se necessário
     */
    canActivate(): Promise<boolean>;
}
