import { LoadingService } from './../loading/loading.service';
import { I18nBaseService, MessageDisplayerService } from 'totvs-log-base-foundation';
/**
 * Serviço responsável por métodos e atributos utilizados por toda aplicação web
 */
export declare class GlobalService {
    i18n: I18nBaseService;
    msg: MessageDisplayerService;
    loading: LoadingService;
    /**
     * Método construtor que inicializa a classe
     * @param i18n Parâmetro do serviço de internacionalização
     * @param msg  Parâmetro do serviço de mensagens
     * @param loading Parâmetro do serviço de loading
     */
    constructor(i18n: I18nBaseService, msg: MessageDisplayerService, loading: LoadingService);
}
