import { I18nBaseService } from 'totvs-log-base-foundation';
import { OnInit, EventEmitter } from '@angular/core';
import { PoRadioGroupOption, PoModalAction, PoModalComponent } from '@portinari/portinari-ui';
import { IChangeLanguageLiterals } from './change-language-literals.interface';
export declare class ChangeLanguageComponent implements OnInit {
    i18n: I18nBaseService;
    literals: IChangeLanguageLiterals;
    afterChangeLanguage: EventEmitter<string>;
    changeLanguageModal: PoModalComponent;
    private _primaryAction;
    readonly primaryAction: PoModalAction;
    private _secondaryAction;
    readonly secondaryAction: PoModalAction;
    private _languageOptions;
    readonly languageOptions: Array<PoRadioGroupOption>;
    selectedLanguage: string;
    constructor(i18n: I18nBaseService);
    ngOnInit(): void;
    openChangeLanguageModal(): void;
    private setModalActions;
    private setLanguageOptions;
    private changeLanguage;
}
