export declare class LoadingComponent {
    /**
     * Texto do loading
     */
    text: string;
    /**
     * Definine se será bloqueada a tela inteira ou apenas o container em que o componente de loading está inserido
     */
    screenLock: boolean;
    /**
     * Define se o loading está sendo mostrado ou não
     */
    show: boolean;
    /**
     * Permite atribuir o texto do loading
     */
    setLoadingText(text?: string): void;
    /**
     * Apresenta o loading, bloqueando a tela
     */
    showLoading(): void;
    /**
     * Esconde o loading, desbloqueando a tela
     */
    hideLoading(): void;
}
