import { IMemoryConfig, LoadFn } from './in-memory-data.interface';
import { InMemoryDataService } from './in-memory-data.service';
export declare const dataServiceFn: Map<string, LoadFn>;
export declare const memoryConfig: IMemoryConfig;
export declare function getMemoryConfig(): IMemoryConfig;
export declare function dataService(collectionName: string, loadFn: LoadFn): void;
export declare const dbService: InMemoryDataService;
export declare function getDbService(): InMemoryDataService;
export declare function setupMemory(config?: IMemoryConfig): Promise<boolean>;
